cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/workflows/wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b/milestones/wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.workflows.get_workflow_milestone(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b", "wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.workflows.getWorkflowMilestone(
'wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b',
'wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->workflows->getWorkflowMilestone(
'wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b',
'wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.workflows.workflows_dto.WorkflowsDto.WorkflowMilestoneView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<WorkflowMilestoneView> response = client.workflows().getWorkflowMilestone(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b",
"wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Workflows.GetWorkflowMilestoneAsync(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b",
"wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.workflows.getWorkflowMilestone(
'wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b',
'wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Workflows().GetWorkflowMilestone(context.Background(), "wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b", "wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"workflow_milestone": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<unknown>",
"icon": "<unknown>",
"priority": "<string>",
"sort_order": "<unknown>",
"auto_create": "<unknown>",
"estimated_hours": "<unknown>",
"workflow": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_definition": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"workflow_version": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"last_updated_on": "<string>",
"href": "<string>"
}
}Workflows
Retrieve a workflow milestone
Retrieves one milestone defined on a workflow, by its wfm_ id.
GET
/
workflows
/
{workflow_id}
/
milestones
/
{milestone_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/workflows/wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b/milestones/wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.workflows.get_workflow_milestone(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b", "wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.workflows.getWorkflowMilestone(
'wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b',
'wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->workflows->getWorkflowMilestone(
'wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b',
'wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.workflows.workflows_dto.WorkflowsDto.WorkflowMilestoneView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<WorkflowMilestoneView> response = client.workflows().getWorkflowMilestone(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b",
"wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Workflows.GetWorkflowMilestoneAsync(
"wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b",
"wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.workflows.getWorkflowMilestone(
'wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b',
'wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Workflows().GetWorkflowMilestone(context.Background(), "wf_6f1c2a9e4b3d4c8e9a7b5d2f0e1c3a4b", "wfm_9d3a5c7e1f2b4a6c8e0d2f4b6a8c0e1d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"workflow_milestone": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<unknown>",
"icon": "<unknown>",
"priority": "<string>",
"sort_order": "<unknown>",
"auto_create": "<unknown>",
"estimated_hours": "<unknown>",
"workflow": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_definition": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"workflow_version": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"last_updated_on": "<string>",
"href": "<string>"
}
}Returns the milestone under
workflow_milestone, with the same fields a listed milestone carries.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The workflow's wf_ id.
The milestone's wfm_ id.
Response
200 - application/json
The milestone, under workflow_milestone.
Show child attributes
Show child attributes